Bug 994401 - [abrt] nepomuk-core-4.10.5-1.fc19: Exiv2::ValueType<std::pair<unsigned int, unsigned int> >::toFloat: Process /usr/bin/nepomukindexer was killed by signal 11 (SIGSEGV)
[abrt] nepomuk-core-4.10.5-1.fc19: Exiv2::ValueType<std::pair<unsigned int, u...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nepomuk-core (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
abrt_hash:c63346223f167a7d477d5d9a20f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 04:20 EDT by Patrik Schönfeldt
Modified: 2015-02-17 11:37 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:37:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.62 KB, text/plain)
2013-08-07 04:20 EDT, Patrik Schönfeldt
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-07 04:21 EDT, Patrik Schönfeldt
no flags Details
File: core_backtrace (2.13 KB, text/plain)
2013-08-07 04:21 EDT, Patrik Schönfeldt
no flags Details
File: dso_list (8.23 KB, text/plain)
2013-08-07 04:21 EDT, Patrik Schönfeldt
no flags Details
File: environ (1.53 KB, text/plain)
2013-08-07 04:21 EDT, Patrik Schönfeldt
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-07 04:21 EDT, Patrik Schönfeldt
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-07 04:21 EDT, Patrik Schönfeldt
no flags Details
File: maps (38.79 KB, text/plain)
2013-08-07 04:21 EDT, Patrik Schönfeldt
no flags Details
File: open_fds (390 bytes, text/plain)
2013-08-07 04:21 EDT, Patrik Schönfeldt
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-08-07 04:21 EDT, Patrik Schönfeldt
no flags Details
File: var_log_messages (10.48 KB, text/plain)
2013-08-07 04:21 EDT, Patrik Schönfeldt
no flags Details
file triggering the crash (119.00 KB, image/jpeg)
2013-11-06 11:06 EST, Karel Volný
no flags Details

  None (edit)
Description Patrik Schönfeldt 2013-08-07 04:20:52 EDT
Version-Release number of selected component:
nepomuk-core-4.10.5-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/nepomukindexer /home/patrik/Bilder/import/114_PANA/P1140807.JPG
crash_function: Exiv2::ValueType<std::pair<unsigned int, unsigned int> >::toFloat
executable:     /usr/bin/nepomukindexer
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 Exiv2::ValueType<std::pair<unsigned int, unsigned int> >::toFloat at value.hpp:1666
 #1 Nepomuk2::(anonymous namespace)::toVariantFloat at /usr/src/debug/nepomuk-core-4.10.5/services/fileindexer/indexer/exiv2extractor.cpp:89
 #2 Nepomuk2::Exiv2Extractor::extract at /usr/src/debug/nepomuk-core-4.10.5/services/fileindexer/indexer/exiv2extractor.cpp:234
 #3 Nepomuk2::Indexer::fileIndex at /usr/src/debug/nepomuk-core-4.10.5/services/fileindexer/indexer/indexer.cpp:146
 #4 Nepomuk2::Indexer::indexFile at /usr/src/debug/nepomuk-core-4.10.5/services/fileindexer/indexer/indexer.cpp:101

Potential duplicate: bug 971278
Comment 1 Patrik Schönfeldt 2013-08-07 04:20:58 EDT
Created attachment 783719 [details]
File: backtrace
Comment 2 Patrik Schönfeldt 2013-08-07 04:21:02 EDT
Created attachment 783720 [details]
File: cgroup
Comment 3 Patrik Schönfeldt 2013-08-07 04:21:06 EDT
Created attachment 783721 [details]
File: core_backtrace
Comment 4 Patrik Schönfeldt 2013-08-07 04:21:10 EDT
Created attachment 783722 [details]
File: dso_list
Comment 5 Patrik Schönfeldt 2013-08-07 04:21:14 EDT
Created attachment 783723 [details]
File: environ
Comment 6 Patrik Schönfeldt 2013-08-07 04:21:18 EDT
Created attachment 783724 [details]
File: exploitable
Comment 7 Patrik Schönfeldt 2013-08-07 04:21:22 EDT
Created attachment 783725 [details]
File: limits
Comment 8 Patrik Schönfeldt 2013-08-07 04:21:31 EDT
Created attachment 783726 [details]
File: maps
Comment 9 Patrik Schönfeldt 2013-08-07 04:21:34 EDT
Created attachment 783727 [details]
File: open_fds
Comment 10 Patrik Schönfeldt 2013-08-07 04:21:38 EDT
Created attachment 783728 [details]
File: proc_pid_status
Comment 11 Patrik Schönfeldt 2013-08-07 04:21:42 EDT
Created attachment 783729 [details]
File: var_log_messages
Comment 12 Karel Volný 2013-11-06 11:03:12 EST
It just crashed somewhere in the background. I believe I have seen this already, but abrt doesn't offer any existing report (although it says it traces *a lot* of these).

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/nepomukindexer /home/kvolny/tests/php/Security/CVE-2011-4566-php-integer-overflow-in-exif-process-IFD-TAG/bug60150.jpg
crash_function: Exiv2::ValueType<std::pair<unsigned int, unsigned int> >::toFloat
executable:     /usr/bin/nepomukindexer
kernel:         3.11.6-200.fc19.x86_64
package:        nepomuk-core-4.11.2-1.fc19
reason:         Process /usr/bin/nepomukindexer was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Karel Volný 2013-11-06 11:06:25 EST
Created attachment 820508 [details]
file triggering the crash
Comment 14 Karel Volný 2013-11-06 11:08:11 EST
(In reply to Karel Volný from comment #12)
> but abrt doesn't offer any existing report

cool that it found duplicate afterwards and just appended the comment, making it look a bit silly :-/
Comment 15 Fedora End Of Life 2015-01-09 14:20:07 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-17 11:37:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.